Bug 155664 - [PATCH]sysutils/dmidecode: update to 2.11
Summary: [PATCH]sysutils/dmidecode: update to 2.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Anders Nordby
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-18 17:30 UTC by Brendan Fabeny
Modified: 2011-05-21 12:32 UTC (History)
0 users

See Also:


Attachments
file.diff (2.87 KB, patch)
2011-03-18 17:30 UTC, Brendan Fabeny
no flags Details | Diff
dmidecode.diff.txt (5.71 KB, text/plain; charset=US-ASCII)
2011-05-05 06:34 UTC, b. f.
no flags Details
patch-dmidecode-2.11.txt (892 bytes, patch)
2011-05-19 08:12 UTC, spry
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brendan Fabeny freebsd_committer 2011-03-18 17:30:09 UTC

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-03-18 17:30:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anders

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 b. f. 2011-05-05 06:34:47 UTC
Any word on this?

Attached is an updated patch which incorporates:

"2011-04-20  Jean Delvare  <khali@linux-fr.org>

        Update to support SMBIOS specification version 2.7.1.

        * dmidecode.c: Add 6 AMD processor families (DMI type 4).
        * dmidecode.c: Add cache associativity value
          "20-way Set-associative" (DMI type 7).
        * dmidecode.c: Add PCI Express 3 slot types (DMI type 9).

2011-01-25  Jean Delvare  <khali@linux-fr.org>

        * dmidecode.c: Fix boundary checks of memory array location codes
          (DMI type 16). Reported by Andrey Matveyev."

Regards,
                  b.
Comment 3 spry 2011-05-19 08:12:19 UTC
Hi,

   I was working on this and whipped up a smaller patch, then I
realized that there exists already this PR.

   Anyways, here's mine, attached, thanks.

-- 
cheers
mars
-----
Comment 4 dfilter service freebsd_committer 2011-05-21 12:19:08 UTC
bf          2011-05-21 11:18:57 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/dmidecode   Makefile distinfo 
    sysutils/dmidecode/files patch-Makefile 
  Added files:
    sysutils/dmidecode/files patch-dmidecode.c 
  Log:
  Update to 2.11, plus two subsequent changes from
  dmidecode CVS that add support for SMBIOS 2.7.1 and
  fix boundary checks of memory array location codes
  
  PR:             155664
  Submitted by:   bf
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.14      +9 -14     ports/sysutils/dmidecode/Makefile
  1.11      +2 -2      ports/sysutils/dmidecode/distinfo
  1.4       +13 -6     ports/sysutils/dmidecode/files/patch-Makefile
  1.1       +100 -0    ports/sysutils/dmidecode/files/patch-dmidecode.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Brendan Fabeny freebsd_committer 2011-05-21 12:32:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!